MagickCore: exception.c File Reference

# exception.c File Reference

`#include "magick/studio.h"`
`#include "magick/client.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/hashmap.h"`
`#include "magick/locale_.h"`
`#include "magick/log.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`

## Functions
static void | DefaultErrorHandler (const ExceptionType, const char *, const char *)
static void | DefaultFatalErrorHandler (const ExceptionType, const char *, const char *)
static void | DefaultWarningHandler (const ExceptionType, const char *, const char *)
MagickExport ExceptionInfo * | AcquireExceptionInfo (void)
static void * | DestroyExceptionElement (void *exception)
MagickExport void | ClearMagickException (ExceptionInfo *exception)
MagickExport void | CatchException (ExceptionInfo *exception)
static void | DefaultErrorHandler (const ExceptionType magick_unused(severity), const char *reason, const char *description)
static void | DefaultFatalErrorHandler (const ExceptionType magick_unused(severity), const char *reason, const char *description)
static void | DefaultWarningHandler (const ExceptionType magick_unused(severity), const char *reason, const char *description)
MagickExport ExceptionInfo * | DestroyExceptionInfo (ExceptionInfo *exception)
MagickExport void | GetExceptionInfo (ExceptionInfo *exception)
MagickExport char * | GetExceptionMessage (const int error_code)
static const char * | ExceptionSeverityToTag (const ExceptionType severity)
MagickExport const char * | GetLocaleExceptionMessage (const ExceptionType severity, const char *tag)
MagickExport void | InheritException (ExceptionInfo *exception, const ExceptionInfo *relative)
MagickExport void | MagickError (const ExceptionType error, const char *reason, const char *description)
MagickExport void | MagickFatalError (const ExceptionType error, const char *reason, const char *description)
MagickExport void | MagickWarning (const ExceptionType warning, const char *reason, const char *description)
MagickExport ErrorHandler | SetErrorHandler (ErrorHandler handler)
MagickExport FatalErrorHandler | SetFatalErrorHandler (FatalErrorHandler handler)
MagickExport WarningHandler | SetWarningHandler (WarningHandler handler)
MagickExport MagickBooleanType | ThrowException (ExceptionInfo *exception, const ExceptionType severity, const char *reason, const char *description)
MagickExport MagickBooleanType | ThrowMagickExceptionList (ExceptionInfo *exception, const char *module, const char *function, const unsigned long line, const ExceptionType severity, const char *tag, const char *format, va_list operands)
MagickExport MagickBooleanType | ThrowMagickException (ExceptionInfo *exception, const char *module, const char *function, const unsigned long line, const ExceptionType severity, const char *tag, const char *format,...)
## Variables
static ErrorHandler | error_handler = DefaultErrorHandler
static FatalErrorHandler | fatal_error_handler = DefaultFatalErrorHandler
static WarningHandler | warning_handler = DefaultWarningHandler

## Function Documentation

MagickExport ExceptionInfo* AcquireExceptionInfo | ( | void |  | ) |

MagickExport void CatchException | ( | ExceptionInfo * | exception | ) |

MagickExport void ClearMagickException | ( | ExceptionInfo * | exception | ) |

static void DefaultErrorHandler | ( | const ExceptionType | magick_unused(severity),
|  | const char * | reason,
|  | const char * | description |
| ) |  |  | `[static]`

static void DefaultErrorHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  | `[static]`

static void DefaultFatalErrorHandler | ( | const ExceptionType | magick_unused(severity),
|  | const char * | reason,
|  | const char * | description |
| ) |  |  | `[static]`

static void DefaultFatalErrorHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

static void DefaultWarningHandler | ( | const ExceptionType | magick_unused(severity),
|  | const char * | reason,
|  | const char * | description |
| ) |  |  | `[static]`

static void DefaultWarningHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

static void* DestroyExceptionElement | ( | void * | exception | ) | `[static]`

MagickExport ExceptionInfo* DestroyExceptionInfo | ( | ExceptionInfo * | exception | ) |

static const char* ExceptionSeverityToTag | ( | const ExceptionType | severity | ) | `[static]`

MagickExport void GetExceptionInfo | ( | ExceptionInfo * | exception | ) |

MagickExport char* GetExceptionMessage | ( | const int | error_code | ) |

MagickExport const char* GetLocaleExceptionMessage | ( | const ExceptionType | severity,
|  | const char * | tag |
| ) |  |  |

MagickExport void InheritException | ( | ExceptionInfo * | exception,
|  | const ExceptionInfo * | relative |
| ) |  |  |

MagickExport void MagickError | ( | const ExceptionType | error,
|  | const char * | reason,
|  | const char * | description |
| ) |  |  |

MagickExport void MagickFatalError | ( | const ExceptionType | error,
|  | const char * | reason,
|  | const char * | description |
| ) |  |  |

MagickExport void MagickWarning | ( | const ExceptionType | warning,
|  | const char * | reason,
|  | const char * | description |
| ) |  |  |

MagickExport ErrorHandler SetErrorHandler | ( | ErrorHandler | handler | ) |

MagickExport FatalErrorHandler SetFatalErrorHandler | ( | FatalErrorHandler | handler | ) |

MagickExport WarningHandler SetWarningHandler | ( | WarningHandler | handler | ) |

MagickExport MagickBooleanType ThrowException | ( | ExceptionInfo * | exception,
|  | const ExceptionType | severity,
|  | const char * | reason,
|  | const char * | description |
| ) |  |  |

MagickExport MagickBooleanType ThrowMagickException | ( | ExceptionInfo * | exception,
|  | const char * | module,
|  | const char * | function,
|  | const unsigned long | line,
|  | const ExceptionType | severity,
|  | const char * | tag,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType ThrowMagickExceptionList | ( | ExceptionInfo * | exception,
|  | const char * | module,
|  | const char * | function,
|  | const unsigned long | line,
|  | const ExceptionType | severity,
|  | const char * | tag,
|  | const char * | format,
|  | va_list | operands |
| ) |  |  |

## Variable Documentation

ErrorHandler error_handler = DefaultErrorHandler`[static]`

FatalErrorHandler fatal_error_handler = DefaultFatalErrorHandler`[static]`

WarningHandler warning_handler = DefaultWarningHandler`[static]`